/*
	File:		ObjectListLink.h

	Contains:	stuff

*/

#ifndef _LINKEDLISTOBJECT_
#define _LINKEDLISTOBJECT_
#pragma once

#include "ListLink.h"

//--------------------------------------------------------------------------------
// Class for a dynamicly allocated link to an object
class ObjectLink : public ListLink 
{
private:
	void*	fObject;

public:
	inline ObjectLink(void* object = nil)
		: fObject(object) {}
	virtual ~ObjectLink();

	virtual void* GetObjectPtr();
};

#endif // _LINKEDLISTOBJECT_

